05/14/2018 12:59 PM - Jeff Sparrow

Status: Closed   

Priority: High   

Assignee: Chris Roberts   

Category: Compute resources - VMware   

Target version: 1.19.0   

Difficulty: easy Fixed in Releases: 1.19.0

Triaged: Yes Found in Releases: 1.17.0

Bugzilla link: 1596858 Red Hat JIRA:  

Pull request: https://github.com/fog/fog-vsphere/pull/1

49,

https://github.com/theforeman/foreman-p

ackaging/pull/2729,

https://github.com/theforeman/foreman-p

ackaging/pull/2731

  

Description

We are seeing a new issue with Foreman 1.17 and ESX 6.5, that previously worked on Foreman 1.16.

ESX hosts that are non clustered, no longer show up as an option in the Virtual Machine tab.  It used to be that you could choose any

host within an ESX DataCenter, regardless if it was part of a cluster or not.

We have numerous vcenters, many with dozens of hosts that are non-clustered.

It would be nice if the previous methodology worked, as it supported both clustered and non-clustered ESX hosts.

Related issues:

Related to Foreman - Bug #23961: Networks in a distributed switch take a long... Closed

History

#1 - 05/14/2018 01:03 PM - Jeff Sparrow

Work around:

Create a cluster under the datacenter and move the single host into it.

#2 - 05/14/2018 01:29 PM - Ewoud Kohl van Wijngaarden

- Project changed from Packaging to Foreman

- Category set to Compute resources - VMware

I'm going to assume this isn't a packaging issue so I'm moving this to the main foreman project.

#3 - 05/14/2018 02:08 PM - Jeff Sparrow

Ewoud Kohl van Wijngaarden wrote:

I'm going to assume this isn't a packaging issue so I'm moving this to the main foreman project.

 Thanks.  I totally missed the category dropdown.

#4 - 05/24/2018 02:35 PM - Jeff Sparrow

- Priority changed from Normal to High

Bumped this to high as its becoming a nuisance.  We would really like the legacy ability from < 1.16 to be able to select individual hosts and not just

clustered objects.  We have 490+ racks and each one is on its own network.  Which means in order to provision to them, we need to create a cluster

object for every single host that is in a different rack.  The old methodology was much better as it allowed you to choose a cluster AND individual,

non-clustered hosts.
#5 - 06/05/2018 02:17 PM - Anon niem

this solved it for me, https://github.com/fog/fog/commit/66e5521 note: file is in /opt/theforeman/

#6 - 06/29/2018 07:25 PM - Chris Roberts

- Assignee set to Chris Roberts

- Triaged set to Yes

Can confirm it does not work past 1.15, this looks like the commit that broke it:

https://github.com/fog/fog-vsphere/commit/f8b8759de44708a0e4e888da028b6cac6957fd7b#diff-a2a6d7b8a06d68744da04414afb9b591

Will keep looking further.

#7 - 06/29/2018 07:51 PM - Chris Roberts

- Pull request https://github.com/fog/fog-vsphere/pull/149 added

#8 - 06/29/2018 07:52 PM - Chris Roberts

- Status changed from New to Ready For Testing

- translation missing: en.field_release set to 370

- Difficulty set to easy

#9 - 07/11/2018 04:20 AM - Nathan Ward

Hi - I note that the target release for this is 1.18.1 which is great! However the fix is in fog-vsphere 2.3.0 which is included only in Foreman 1.19.

Does this mean that the target release is incorrect and should be 1.19, or, should we get fog-vsphere 2.3.0 included for Foreman 1.18.1 as well? My

preference is for the latter - but not sure the position of the project on updating libraries' minor versions for a patch release.

#10 - 07/11/2018 12:18 PM - Chris Roberts

- Target version changed from 1.18.1 to 1.19.0

Hi Nathan,

I have moved it to 1.19 since the new packages are built for that and have not been pulled into 1.18. Since branching is pretty close for 1.19 I feel it is

safer to just leave it on that release for now.

#11 - 07/11/2018 12:19 PM - Chris Roberts

- Status changed from Ready For Testing to Resolved

- Fixed in Releases 1.19.0 added

#12 - 07/11/2018 12:24 PM - Chris Roberts

- Bugzilla link set to 1596858

#13 - 07/11/2018 12:26 PM - Chris Roberts

- Pull request https://github.com/theforeman/foreman-packaging/pull/2729 added

#14 - 07/11/2018 12:26 PM - Chris Roberts

- Pull request https://github.com/theforeman/foreman-packaging/pull/2731 added

#15 - 07/19/2018 10:23 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #23961: Networks in a distributed switch take a long time to load when there is alot added

#16 - 07/24/2018 11:40 AM - Tomer Brisker

- Status changed from Resolved to Closed
